#include "..\MaterialDefine.def"

[Technique]
{
;  Detail        = DETAIL_HIGH

  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_DIFFUSE
      TexCoordIndex     = TSS_TCI_PASSTHRU0
      TextureTransformFlags = TTFF_COUNT2
      TextureTransformMode = TTM_UVTRANSFORM
      TextureTransformMatrix =0	

      ColorArg1 = TA_TEXTURE  ;diffuse textura
      ColorArg2 = TA_DIFFUSE
      ColorOp   = TOP_MODULATE

      AlphaArg1 = TA_TEXTURE
      AlphaOp   = TOP_SELECTARG1

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_WRAP
      Filter = TF_LINEAR_MIP_LINEAR
    }
    [Layer]
    {
      ColorArg1 = TA_CURRENT
      ColorArg2 = TA_SPECULAR
      ColorOp   = TOP_MODULATEALPHA_ADDCOLOR
    }

    FillMode    = FILL_SOLID
    Cull        = CULL_CW
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = TRUE
    NormalizeNormals    = TRUE
    LocalViewer         = TRUE

    ColorVertexEnable	= TRUE

    AlphaTestEnable     = FALSE

    AlphaBlendEnable    = FALSE

    ZWriteEnable        = TRUE
    ZFunc               = CMP_LESS

    DiffuseMaterialSource	= MCS_DIFFUSE
    SpecularMaterialSource	= MCS_DIFFUSE
    AmbientMaterialSource	= MCS_MATERIAL
    EmissiveMaterialSource	= MCS_MATERIAL
  }
}
